### A free/open-source library for quantitative finance

Classes | Enumerations | Functions
ql/prices.hpp File Reference

price classes More...

`#include <ql/timeseries.hpp>`
`#include <ql/utilities/null.hpp>`
Include dependency graph for prices.hpp:

## Classes

class | IntervalPrice
| interval price More...

## Enumerations

enum | PriceType { Bid, Ask, Last, Close, Mid, MidEquivalent, MidSafe }
| Price types.

## Functions

Real | midEquivalent (const Real bid, const Real ask, const Real last, const Real close)
Real | midSafe (const Real bid, const Real ask)

## Detailed Description

price classes